
extdesc="the afrepo (audio-fingerprinting) Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if test -z $GSDLOS ; then
  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
  # check for running bash under Cygwin
  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  # check for running bash under MinGW/MSys
  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
  export GSDLOS
fi
	

if [ "x$GEXT_AFREPO" = "x" ] ; then
  export GEXT_AFREPO=`pwd`
  export GEXT_AFREPO_INSTALLED=$GEXT_AFREPO/$GSDLOS

  if [ -d "$GEXT_AFREPO_INSTALLED/bin/script" ] ; then
    export PATH=$GEXT_AFREPO_INSTALLED/bin/script:$PATH
  fi

  if [ -d "$GEXT_AFREPO_INSTALLED/bin" ] ; then
    export PATH=$GEXT_AFREPO_INSTALLED/bin:$PATH
  fi

  if [ -d "$GEXT_AFREPO_INSTALLED/lib" ] ; then
    if [ "$GSDLOS" = "linux" ] ; then
      export LD_LIBRARY_PATH=$GEXT_AFREPO_INSTALLED/lib:$GEXT_AFREPO_INSTALLED/lib64:$LD_LIBRARY_PATH
    elif [ "$GSDLOS" = "darwin" ] ; then
      export DYLD_LIBRARY_PATH=$GEXT_AFREPO_INSTALLED/lib:$GEXT_AFREPO_INSTALLED/lib64:$DYLD_LIBRARY_PATH
    fi
  fi

  extdir=${GEXT_AFREPO##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
